Subject: bug#74768: closed (Re: [bug#74768] [PATCH] gnu: gnunet[-gtk]: Update to 0.23.0.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 12 Dec 2024 14:56:02 +0000

Your bug report

#74768: [PATCH] gnu: gnunet[-gtk]: Update to 0.23.0.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74768: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74768
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#74768] [PATCH] gnu: gnunet[-gtk]: Update to 0.23.0.
From: Guillaume Le Vaillant <[email-masked]>
To: Amélia Coutard-Sander <[email-masked]>
Cc: [email-masked]
Date: Thu, 12 Dec 2024 14:55:45 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Patches applied as 4bceee3ed0660706cab2d2928610ef425d120cbc and
following.
Thanks.

Subject: [PATCH] gnu: gnunet[-gtk]: Update to 0.23.0.
From: Amélia Coutard-Sander <[email-masked]>
To: [email-masked]
Cc: Amélia Coutard-Sander <[email-masked]>
Date: Tue, 10 Dec 2024 11:19:51 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

This patch series provides the update to version 0.23.0 for gnunet and
gnunet-gtk.

`guix lint` only reports that the source is not present in the Software
Heritage archive. I assume this is normal.
I have not run `guix style` because it changed the whole package
definitions when I tried it, even though my changes are mostly just
version bumps. That being said, I have formatted the only real change
exactly like the same thing below it, so this shouldn't be an issue.

The guile-gnunet build was already broken, and has not been fixed by
this update. However, the gnunet-gtk package has been fixed upstream in
this update, and the gnunet-gtk executables can now be used normally.

Amélia Coutard-Sander (2):
  gnu: gnunet: Update to 0.23.0.
  gnu: gnunet-gtk: Update to 0.23.0.

 gnu/packages/gnunet.scm | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

base-commit: 68fef864045aa5cf65d1159dc93dd23d17e605b3
-- 
2.46.0